# SPDX-License-Identifier: CC0-1.0

{ stdenvNoCC, lib, fetchFromGitHub }:

stdenvNoCC.mkDerivation {
  name = "dhall-prelude";
  version = " 10.0.0";

  src = fetchFromGitHub {
    owner = "dhall-lang";
    repo = "dhall-lang";
    rev = "ef644a00e77a3c2c6c503e18e65865fd6d74fc2a";
    sha256 = "1md16ri1l6iid2p1zg17n3ap3813v0f43vrbxc280qgxhq617sdk";
  };

  phases = [ "unpackPhase" "installPhase" ];

  installPhase = ''
    cp -r Prelude $out
  '';

  meta = {
    license = lib.licenses.bsd3;
    maintainers = with lib.maintainers; [ ehmry ];
  };
}
